## EXPORT_SPEC int UpnpSubscribe

## ( IN UpnpClient_Handle Hnd,
IN const char* PublisherUrl,
INOUT int* TimeOut,
OUT Upnp_SID SubsId )

> UpnpSubscribe registers a control point to receive event notifications from another device.

## Documentation

> UpnpSubscribe registers a control point to receive event notifications from another device. This operation is synchronous.

Parameters:
  Hnd - The handle of the control point.
  - PublisherUrl The URL of the service to subscribe to.
  - TimeOut Pointer to a variable containing the requested subscription time. Upon return, it contains the actual subscription time returned from the service.
  SubsId - Pointer to a variable to receive the subscription ID (SID).
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.
  - `UPNP_E_INVALID_URL`: PublisherUrl is not a valid URL.
  - `UPNP_E_INVALID_PARAM`: Timeout is not a valid pointer or SubsId or PublisherUrl is `NULL`.
  - `UPNP_E_NETWORK_ERROR`: A network error occured.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_SOCKET_BIND`: An error occurred binding a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting to PublisherUrl.
  - `UPNP_E_OUTOF_SOCKET`: An error occurred creating a socket.
  - `UPNP_E_BAD_RESPONSE`: An error occurred in response from the publisher.
  - `UPNP_E_SUBSCRIBE_UNACCEPTED`: The publisher refused the subscription request.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.